feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Ord

Synopsis

- class (Eq a, Ord a, Ord (Size a)) => Ord a where
  - (<) :: Data a -> Data a -> Data Bool
  - (>) :: Data a -> Data a -> Data Bool
  - (<=) :: Data a -> Data a -> Data Bool
  - (>=) :: Data a -> Data a -> Data Bool
  - min :: Data a -> Data a -> Data a
  - max :: Data a -> Data a -> Data a

# Documentation

class (Eq a, Ord a, Ord (Size a)) => Ord a where

Redefinition of the standard `Ord` class for Feldspar

Methods

(<) :: Data a -> Data a -> Data Bool

(>) :: Data a -> Data a -> Data Bool

(<=) :: Data a -> Data a -> Data Bool

(>=) :: Data a -> Data a -> Data Bool

min :: Data a -> Data a -> Data a

max :: Data a -> Data a -> Data a

Instances

Ord Bool |
Ord Float |
Ord Int8 |
Ord Int16 |
Ord Int32 |
Ord Int64 |
Ord Word8 |
Ord Word16 |
Ord Word32 |
Ord Word64 |
Ord () |
Ord IntN |
Ord WordN |